<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::assignable_sub_matrix&lt; T, NR, NC, mm, l &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1assignable__sub__matrix.html">assignable_sub_matrix</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classdlib_1_1assignable__sub__matrix-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::assignable_sub_matrix&lt; T, NR, NC, mm, l &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a74a7b7c7186af9d769184e0896d40db3"><td class="memItemLeft" align="right" valign="top"><a id="a74a7b7c7186af9d769184e0896d40db3"></a>
typedef T&#160;</td><td class="memItemRight" valign="bottom"><b>type</b></td></tr>
<tr class="separator:a74a7b7c7186af9d769184e0896d40db3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89785238fb48c8a255b7a942ab9592d0"><td class="memItemLeft" align="right" valign="top"><a id="a89785238fb48c8a255b7a942ab9592d0"></a>
typedef l&#160;</td><td class="memItemRight" valign="bottom"><b>layout_type</b></td></tr>
<tr class="separator:a89785238fb48c8a255b7a942ab9592d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c3fe4af2714217bbb11037d96fd6186"><td class="memItemLeft" align="right" valign="top"><a id="a4c3fe4af2714217bbb11037d96fd6186"></a>
typedef <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; T, NR, NC, mm, l &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>matrix_type</b></td></tr>
<tr class="separator:a4c3fe4af2714217bbb11037d96fd6186"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:af125c3933986dcc11f85da73704febba"><td class="memItemLeft" align="right" valign="top"><a id="af125c3933986dcc11f85da73704febba"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>assignable_sub_matrix</b> (<a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; T, NR, NC, mm, l &gt; &amp;m_, long top_, long left_, long height_, long width_)</td></tr>
<tr class="separator:af125c3933986dcc11f85da73704febba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa57cd0bbc9f23337d9fd7e86eab63586"><td class="memItemLeft" align="right" valign="top"><a id="aa57cd0bbc9f23337d9fd7e86eab63586"></a>
T &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator()</b> (long r, long c)</td></tr>
<tr class="separator:aa57cd0bbc9f23337d9fd7e86eab63586"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0c0ecdf8b12b536188598b7ec4ec30e"><td class="memItemLeft" align="right" valign="top"><a id="ad0c0ecdf8b12b536188598b7ec4ec30e"></a>
const T &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator()</b> (long r, long c) const</td></tr>
<tr class="separator:ad0c0ecdf8b12b536188598b7ec4ec30e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a525eb01cf0613ce4905eb3e5e5c3a9dd"><td class="memItemLeft" align="right" valign="top"><a id="a525eb01cf0613ce4905eb3e5e5c3a9dd"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>nr</b> () const</td></tr>
<tr class="separator:a525eb01cf0613ce4905eb3e5e5c3a9dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe3feae2b5a279bc1ceea5e9534f2a3b"><td class="memItemLeft" align="right" valign="top"><a id="abe3feae2b5a279bc1ceea5e9534f2a3b"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>nc</b> () const</td></tr>
<tr class="separator:abe3feae2b5a279bc1ceea5e9534f2a3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d198525ead3414f34c01385591899d6"><td class="memTemplParams" colspan="2"><a id="a9d198525ead3414f34c01385591899d6"></a>
template&lt;typename EXP &gt; </td></tr>
<tr class="memitem:a9d198525ead3414f34c01385591899d6"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classdlib_1_1assignable__sub__matrix.html">assignable_sub_matrix</a> &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><b>operator=</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; EXP &gt; &amp;exp)</td></tr>
<tr class="separator:a9d198525ead3414f34c01385591899d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab274f82ad785dbbd6e03d434e3777ae3"><td class="memTemplParams" colspan="2"><a id="ab274f82ad785dbbd6e03d434e3777ae3"></a>
template&lt;typename EXP &gt; </td></tr>
<tr class="memitem:ab274f82ad785dbbd6e03d434e3777ae3"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classdlib_1_1assignable__sub__matrix.html">assignable_sub_matrix</a> &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><b>operator+=</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; EXP &gt; &amp;exp)</td></tr>
<tr class="separator:ab274f82ad785dbbd6e03d434e3777ae3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c506edc4bfb7e76e8f07f7879e7ffc2"><td class="memTemplParams" colspan="2"><a id="a8c506edc4bfb7e76e8f07f7879e7ffc2"></a>
template&lt;typename EXP &gt; </td></tr>
<tr class="memitem:a8c506edc4bfb7e76e8f07f7879e7ffc2"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classdlib_1_1assignable__sub__matrix.html">assignable_sub_matrix</a> &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><b>operator-=</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; EXP &gt; &amp;exp)</td></tr>
<tr class="separator:a8c506edc4bfb7e76e8f07f7879e7ffc2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a4ff144063c7665a7ea78ba4c3923e8"><td class="memItemLeft" align="right" valign="top"><a id="a4a4ff144063c7665a7ea78ba4c3923e8"></a>
<a class="el" href="classdlib_1_1assignable__sub__matrix.html">assignable_sub_matrix</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (const T &amp;value)</td></tr>
<tr class="separator:a4a4ff144063c7665a7ea78ba4c3923e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f36e0fe55c3c9aefc65e3413636df1f"><td class="memItemLeft" align="right" valign="top"><a id="a0f36e0fe55c3c9aefc65e3413636df1f"></a>
<a class="el" href="classdlib_1_1assignable__sub__matrix.html">assignable_sub_matrix</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator+=</b> (const T &amp;value)</td></tr>
<tr class="separator:a0f36e0fe55c3c9aefc65e3413636df1f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a914dea5d8578f139a1ae0beb6b721b36"><td class="memItemLeft" align="right" valign="top"><a id="a914dea5d8578f139a1ae0beb6b721b36"></a>
<a class="el" href="classdlib_1_1assignable__sub__matrix.html">assignable_sub_matrix</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator-=</b> (const T &amp;value)</td></tr>
<tr class="separator:a914dea5d8578f139a1ae0beb6b721b36"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ad18836e179dbd67111f44e5d423cfd81"><td class="memItemLeft" align="right" valign="top"><a id="ad18836e179dbd67111f44e5d423cfd81"></a>
<a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; T, NR, NC, mm, l &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>m</b></td></tr>
<tr class="separator:ad18836e179dbd67111f44e5d423cfd81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94e87093d9fccd29c7c3b39c632c94cd"><td class="memItemLeft" align="right" valign="top"><a id="a94e87093d9fccd29c7c3b39c632c94cd"></a>
const long&#160;</td><td class="memItemRight" valign="bottom"><b>left</b></td></tr>
<tr class="separator:a94e87093d9fccd29c7c3b39c632c94cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0da9d75b91bd4767f41a6c321278a6eb"><td class="memItemLeft" align="right" valign="top"><a id="a0da9d75b91bd4767f41a6c321278a6eb"></a>
const long&#160;</td><td class="memItemRight" valign="bottom"><b>top</b></td></tr>
<tr class="separator:a0da9d75b91bd4767f41a6c321278a6eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7223a0a2e317f6676816c0a908e9a69"><td class="memItemLeft" align="right" valign="top"><a id="aa7223a0a2e317f6676816c0a908e9a69"></a>
const long&#160;</td><td class="memItemRight" valign="bottom"><b>width</b></td></tr>
<tr class="separator:aa7223a0a2e317f6676816c0a908e9a69"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad999f3fb974ba2ae33498631927b06d9"><td class="memItemLeft" align="right" valign="top"><a id="ad999f3fb974ba2ae33498631927b06d9"></a>
const long&#160;</td><td class="memItemRight" valign="bottom"><b>height</b></td></tr>
<tr class="separator:ad999f3fb974ba2ae33498631927b06d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="matrix__subexp_8h_source.html">matrix_subexp.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
